<?php



$tdatadbw_mintrab = array();
$tdatadbw_mintrab[".searchableFields"] = array();
$tdatadbw_mintrab[".ShortName"] = "dbw_mintrab";
$tdatadbw_mintrab[".OwnerID"] = "";
$tdatadbw_mintrab[".OriginalTable"] = "tb_mintrabalhados";


$tdatadbw_mintrab[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdatadbw_mintrab[".originalPagesByType"] = $tdatadbw_mintrab[".pagesByType"];
$tdatadbw_mintrab[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdatadbw_mintrab[".originalPages"] = $tdatadbw_mintrab[".pages"];
$tdatadbw_mintrab[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\"}" );
$tdatadbw_mintrab[".originalDefaultPages"] = $tdatadbw_mintrab[".defaultPages"];

//	field labels
$fieldLabelsdbw_mintrab = array();
$fieldToolTipsdbw_mintrab = array();
$pageTitlesdbw_mintrab = array();
$placeHoldersdbw_mintrab = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"] = array();
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"] = array();
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"] = array();
	$pageTitlesdbw_mintrab["Portuguese(Brazil)"] = array();
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["mintrabID"] = "Mintrab ID";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["mintrabID"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["mintrabID"] = "";
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["dias_mes"] = "Dias Mes";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["dias_mes"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["dias_mes"] = "";
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["hrs_dia"] = "Hrs Dia";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["hrs_dia"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["hrs_dia"] = "";
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["MtDia"] = "Mt Dia";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["MtDia"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["MtDia"] = "";
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["MTmes"] = "MTmes";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["MTmes"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["MTmes"] = "";
	$fieldLabelsdbw_mintrab["Portuguese(Brazil)"]["vigente"] = "Vigente";
	$fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]["vigente"] = "";
	$placeHoldersdbw_mintrab["Portuguese(Brazil)"]["vigente"] = "";
	if (count($fieldToolTipsdbw_mintrab["Portuguese(Brazil)"]))
		$tdatadbw_mintrab[".isUseToolTips"] = true;
}


	$tdatadbw_mintrab[".NCSearch"] = true;


	$tdatadbw_mintrab[".scrollGridBody"] = true;

$tdatadbw_mintrab[".shortTableName"] = "dbw_mintrab";
$tdatadbw_mintrab[".nSecOptions"] = 0;

$tdatadbw_mintrab[".mainTableOwnerID"] = "";
$tdatadbw_mintrab[".entityType"] = 1;

$tdatadbw_mintrab[".strOriginalTableName"] = "tb_mintrabalhados";

	



$tdatadbw_mintrab[".showAddInPopup"] = false;

$tdatadbw_mintrab[".showEditInPopup"] = false;

$tdatadbw_mintrab[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatadbw_mintrab[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadbw_mintrab[".listAjax"] = false;
//	temporary
$tdatadbw_mintrab[".listAjax"] = false;

	$tdatadbw_mintrab[".audit"] = false;

	$tdatadbw_mintrab[".locking"] = false;


$pages = $tdatadbw_mintrab[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadbw_mintrab[".edit"] = true;
	$tdatadbw_mintrab[".afterEditAction"] = 0;
	$tdatadbw_mintrab[".closePopupAfterEdit"] = 1;
	$tdatadbw_mintrab[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatadbw_mintrab[".add"] = true;
$tdatadbw_mintrab[".afterAddAction"] = 0;
$tdatadbw_mintrab[".closePopupAfterAdd"] = 1;
$tdatadbw_mintrab[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatadbw_mintrab[".list"] = true;
}



$tdatadbw_mintrab[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadbw_mintrab[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadbw_mintrab[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadbw_mintrab[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadbw_mintrab[".printFriendly"] = true;
}



$tdatadbw_mintrab[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadbw_mintrab[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadbw_mintrab[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadbw_mintrab[".isUseAjaxSuggest"] = true;

$tdatadbw_mintrab[".rowHighlite"] = true;





$tdatadbw_mintrab[".ajaxCodeSnippetAdded"] = false;

$tdatadbw_mintrab[".buttonsAdded"] = false;

$tdatadbw_mintrab[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadbw_mintrab[".isUseTimeForSearch"] = false;


$tdatadbw_mintrab[".badgeColor"] = "D2691E";


$tdatadbw_mintrab[".allSearchFields"] = array();
$tdatadbw_mintrab[".filterFields"] = array();
$tdatadbw_mintrab[".requiredSearchFields"] = array();

$tdatadbw_mintrab[".googleLikeFields"] = array();
$tdatadbw_mintrab[".googleLikeFields"][] = "mintrabID";
$tdatadbw_mintrab[".googleLikeFields"][] = "dias_mes";
$tdatadbw_mintrab[".googleLikeFields"][] = "hrs_dia";
$tdatadbw_mintrab[".googleLikeFields"][] = "MtDia";
$tdatadbw_mintrab[".googleLikeFields"][] = "MTmes";
$tdatadbw_mintrab[".googleLikeFields"][] = "vigente";



$tdatadbw_mintrab[".tableType"] = "list";

$tdatadbw_mintrab[".printerPageOrientation"] = 0;
$tdatadbw_mintrab[".nPrinterPageScale"] = 100;

$tdatadbw_mintrab[".nPrinterSplitRecords"] = 40;

$tdatadbw_mintrab[".geocodingEnabled"] = false;










$tdatadbw_mintrab[".pageSize"] = 20;

$tdatadbw_mintrab[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadbw_mintrab[".strOrderBy"] = $tstrOrderBy;

$tdatadbw_mintrab[".orderindexes"] = array();

$tdatadbw_mintrab[".sqlHead"] = "SELECT mintrabID,  	dias_mes,  	hrs_dia,  (hrs_dia *60) as MtDia,  (dias_mes*	hrs_dia*60) as MTmes,  	vigente";
$tdatadbw_mintrab[".sqlFrom"] = "FROM tb_mintrabalhados";
$tdatadbw_mintrab[".sqlWhereExpr"] = "";
$tdatadbw_mintrab[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadbw_mintrab[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadbw_mintrab[".arrGroupsPerPage"] = $arrGPP;

$tdatadbw_mintrab[".highlightSearchResults"] = true;

$tableKeysdbw_mintrab = array();
$tableKeysdbw_mintrab[] = "mintrabID";
$tdatadbw_mintrab[".Keys"] = $tableKeysdbw_mintrab;


$tdatadbw_mintrab[".hideMobileList"] = array();




//	mintrabID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "mintrabID";
	$fdata["GoodName"] = "mintrabID";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","mintrabID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "mintrabID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mintrabID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["mintrabID"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "mintrabID";
//	dias_mes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "dias_mes";
	$fdata["GoodName"] = "dias_mes";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","dias_mes");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dias_mes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dias_mes";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["dias_mes"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "dias_mes";
//	hrs_dia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "hrs_dia";
	$fdata["GoodName"] = "hrs_dia";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","hrs_dia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "hrs_dia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "hrs_dia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["hrs_dia"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "hrs_dia";
//	MtDia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "MtDia";
	$fdata["GoodName"] = "MtDia";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","MtDia");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "MtDia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(hrs_dia *60)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["MtDia"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "MtDia";
//	MTmes
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "MTmes";
	$fdata["GoodName"] = "MTmes";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","MTmes");
	$fdata["FieldType"] = 5;

	
	
	
			

		$fdata["strField"] = "MTmes";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "(dias_mes*	hrs_dia*60)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["MTmes"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "MTmes";
//	vigente
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "vigente";
	$fdata["GoodName"] = "vigente";
	$fdata["ownerTable"] = "tb_mintrabalhados";
	$fdata["Label"] = GetFieldLabel("dbw_mintrab","vigente");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "vigente";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vigente";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadbw_mintrab["vigente"] = $fdata;
		$tdatadbw_mintrab[".searchableFields"][] = "vigente";


$tables_data["dbw_mintrab"]=&$tdatadbw_mintrab;
$field_labels["dbw_mintrab"] = &$fieldLabelsdbw_mintrab;
$fieldToolTips["dbw_mintrab"] = &$fieldToolTipsdbw_mintrab;
$placeHolders["dbw_mintrab"] = &$placeHoldersdbw_mintrab;
$page_titles["dbw_mintrab"] = &$pageTitlesdbw_mintrab;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["dbw_mintrab"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["dbw_mintrab"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_dbw_mintrab()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "mintrabID,  	dias_mes,  	hrs_dia,  (hrs_dia *60) as MtDia,  (dias_mes*	hrs_dia*60) as MTmes,  	vigente";
$proto0["m_strFrom"] = "FROM tb_mintrabalhados";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "mintrabID",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_mintrab"
));

$proto6["m_sql"] = "mintrabID";
$proto6["m_srcTableName"] = "dbw_mintrab";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "dias_mes",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_mintrab"
));

$proto8["m_sql"] = "dias_mes";
$proto8["m_srcTableName"] = "dbw_mintrab";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "hrs_dia",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_mintrab"
));

$proto10["m_sql"] = "hrs_dia";
$proto10["m_srcTableName"] = "dbw_mintrab";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(hrs_dia *60)"
));

$proto12["m_sql"] = "(hrs_dia *60)";
$proto12["m_srcTableName"] = "dbw_mintrab";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "MtDia";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "(dias_mes*	hrs_dia*60)"
));

$proto14["m_sql"] = "(dias_mes*	hrs_dia*60)";
$proto14["m_srcTableName"] = "dbw_mintrab";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "MTmes";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "vigente",
	"m_strTable" => "tb_mintrabalhados",
	"m_srcTableName" => "dbw_mintrab"
));

$proto16["m_sql"] = "vigente";
$proto16["m_srcTableName"] = "dbw_mintrab";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "tb_mintrabalhados";
$proto19["m_srcTableName"] = "dbw_mintrab";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "mintrabID";
$proto19["m_columns"][] = "dias_mes";
$proto19["m_columns"][] = "hrs_dia";
$proto19["m_columns"][] = "vigente";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "tb_mintrabalhados";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "dbw_mintrab";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="dbw_mintrab";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_dbw_mintrab = createSqlQuery_dbw_mintrab();


	
		;

						

$tdatadbw_mintrab[".sqlquery"] = $queryData_dbw_mintrab;

$tableEvents["dbw_mintrab"] = new eventsBase;
$tdatadbw_mintrab[".hasEvents"] = false;

?>